> For the complete documentation index, see [llms.txt](https://sodex.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sodex.com/documentation/for-developers/api-reference/market-data-api/macro/events.md).

# 8.1 Macroeconomic Events

```
GET /macro/events
```

**Request Parameters**

No parameter

**Response Example**

```json
[
    {
        "date": "2026-03-03",
        "events": ["Nonfarm Payrolls", "CPI"]
    }
]
```

**Response Fields**

| Field  | Type           | Description                       |
| ------ | -------------- | --------------------------------- |
| date   | String         | Event date                        |
| events | Array\[String] | List of macroeconomic event names |
